:root {
  --menu-top-buttons-quantity: 2;
  --menu-bottom-buttons-quantity: 1;
  --main-color-red: #ff0000;
  --main-color-graphit: #53565B;
  --main-color-white: #ffffff;
  --main-color-black: #000000;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#model {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

label {
  cursor: pointer;
  padding-left: 8px;
}

.menu {
  position: absolute;
  width: 100%;
}

.menu-top {
  top: 0;
}

.menu-middle {
  bottom: 60px;
}

.menu-bottom {
  bottom: 0;
}

.menu-row {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 12px 0 12px 12px;
}

.btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  /* flex-basis: 1; */
  width: 100%;
  margin-right: 12px;
  padding: 0 16px;
  height: 40px;
  background-color: var(--main-color-white);
  color: var(--main-color-black);
  border: 2px solid var(--main-color-graphit);
  outline: none;
  cursor: pointer;
  transition: 0.3s all;
  text-transform: uppercase;
  overflow: hidden;
}

.btn:hover {
  background-color: var(--main-color-graphit);
  color: var(--main-color-white);
}

.btn-pic {
  padding: 4px;
}

.svg-btn {
  width: 100%;
  stroke: var(--main-color-graphit);
  stroke-width: 2px;
  fill: none;
  stroke-linecap: round;
  stroke-linejoin: round;
  transition: 0.5s;
}

.svg-btn:hover {
  stroke: var(--main-color-white);
}



.btn-pic span {
  position: absolute;
  font-weight: 600;
  font-size: 0.8rem;
  /* background: #fff; */
  padding: 1px 2px;
  bottom: -5px;
}

.btn-pic:hover span {
  color: initial;
}




#colorpicker {
  box-sizing: content-box;
  position: absolute;
  width: 300px;
  height: 150px;
  left: 50%;
  transform: translate(-50%, -75%);
  z-index: 10;
  border: 2px solid var(--main-color-black);
  border-radius: 8px;
  transition: 1s all;
}

#picker {
  cursor: crosshair;
  border-radius: 8px;
}

.picker--hidden {
  display: none;
}

.preloader {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 20;
  background-color: var(--main-color-white);
}

.preloader__container {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 300px;
  height: 106px;
  z-index: 20;
  background-color: var(--main-color-white);
}

.preloader__logo {
  background-image: url('../img/logo.jpeg');
  width: 300px;
  height: 100px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 50% 50%;

}

.preloader__progress {
  /* position: absolute; */
  /* top: 50%;
  left: 0; */
  width: 0;
  height: 6px;
  border-radius: 3px;
  background-color: var(--main-color-red);
}

.preloader__percentage {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateY(20px);
  font-size: 24px;
  color: #000000;
}


.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}